## NAME

CURLOPT_HEADERDATA - pointer to pass to header callback

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HEADERDATA, void *pointer);

## DESCRIPTION

Pass a pointer to be used to write the header part of the received data to.

If CURLOPT_WRITEFUNCTION or CURLOPT_HEADERFUNCTION is used, pointer will be passed in to the respective callback.

If neither of those options are set, pointer must be a valid FILE * and it will be used by a plain fwrite() to write headers to.

## DEFAULT

NULL

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_HEADERFUNCTION, CURLOPT_WRITEFUNCTION

This HTML page was made with roffit.